/*
	MDG Multiuser Dungeon Game -- master structure include file
	
	MDG is Copyright 1990 John C. Gonnerman
	This file is subject to the general MDG 
	copyright statement (see enclosed file, Copyright).

	SCCSID @(#) plrstruct.h (1.3) created 1/3/91
*/


/* private segment structure for mdg_game */

struct game_msg {
	int trader_offset; 
	short clear_ok;
	char buf[70];
};


struct item {
	char type, symbol;
	int effect, range, max_uses, rem_uses, value;
	short mod_count;
	long decay_cnt;
	char name[INAMELEN];
	unsigned char curse;
	struct location loc;
};


struct player {
	int playernum;
	char name[PNAMELEN];

	short alignment;

	int lives; 
	long gold;

	short spells[26], fighting;
	short max_hp, hitpoints, max_mp, magicpts;
	short createpts;

	int items[PMAX_ITEMS];

	struct location loc;
	int home, prev_sect;

	char dmsg[2][35];
	short dmsg_loc;
	unsigned short brief;

	int clock, detect, attacks, light; 
	short m_armor, ma_count, invis;
	short blocked, gold_hidden, knight;
	short user_spell;

	short partners[MAX_PLAYERS];
};


/*
	definitions for the handling of the shared memory segments.
*/

struct player_seg {
	int sid;
	short in_trader;
	short player_sem, item_sem;
	struct player p[MAX_PLAYERS];

	int weapon[MAX_PLAYERS];
	int armor[MAX_PLAYERS];
	int shield[MAX_PLAYERS];

	int item_count;
	struct item itm[1];
};


/* end of file. */
